# interro_robot

审讯机器人


## 部署说明

> 要求有docker-compose环境
> 需要修改docker-compose.yml文件中的各项服务的environment环境变量配置信息
> 注意：部署应用前需要先创建interro_robot模式，并在interro_robot模式下执行数据库初始化脚本。
 
#### 加载镜像
```shell

docker load -i interro-robot-sevice.tar.gz

```

### 配置docker-compose.yml
> 配置服务端口号和服务器地址信息

### 启动服务
```shell
docker-compose up -d
```

# 访问地址
> https://{nginx服务ip:port}/#/login，默认用户名密码为admin/123456
> **初次创建容器过程中，语义模型中的数据加载需要5分钟左右才能完成，在此期间语义匹配可能无法正常匹配，请耐心等待**
> 案件资料信息存放在/data/intro-robot/目录下。存放规则：案件编号/嫌疑人-证件号码

# docker-compose常用命令
- docker-compose up -d :启动所有服务
- docker-compose stop : 停止所有服务
- docker-compose down : 停止并删除所有服务
- docker-compose start : 启动所有服务
- docker-compose restart : 重启所有服务
- docker-compose ps : 查看所有服务状态
- docker-compose logs -f : 查看所有服务日志